Page MenuHomePhabricator

CloudVPS: codfw1dev: refresh glance images
Closed, ResolvedPublic

Description

The codfw1dev deployment is the one we use for testing/development of CloudVPS.

Currently it contains outdated glance images for VMs:

root@cloudcontrol2001-dev:~# openstack image list
+--------------------------------------+--------------------------+--------+
| ID                                   | Name                     | Status |
+--------------------------------------+--------------------------+--------+
| 23d2421f-43ab-4307-8e99-aaaaabc67d02 | debian-9.8-stretch       | active |
| f69d8a70-7d27-4cbe-8206-61df32601610 | debian-8.1-jessie (fqdn) | active |
| 66e544e8-fe4f-41f7-9809-6723e53b5a99 | stretch-pass             | active |
| 741a0fd8-dded-47d9-931b-83a7a79efd20 | jessie-pw                | active |
+--------------------------------------+--------------------------+--------+

It would be great to have same images as in eqiad1.

This means we would need to figure out also how to handle ssh access. Anyway we can access the VMs using the serial console, so the SSH access is not a big deal.

Event Timeline

aborrero created this task.Jul 25 2019, 9:46 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 25 2019, 9:46 AM
aborrero triaged this task as Normal priority.Jul 25 2019, 9:47 AM
aborrero moved this task from Inbox to Important on the cloud-services-team (Kanban) board.

Mentioned in SAL (#wikimedia-cloud) [2019-07-25T09:59:44Z] <arturo> (codfw1dev) drop missing glance images (T228972)

Results:

root@cloudcontrol2001-dev:/srv/glance/images# ls
23d2421f-43ab-4307-8e99-aaaaabc67d02
root@cloudcontrol2001-dev:/srv/glance/images# openstack image show 23d2421f-43ab-4307-8e99-aaaaabc67d02
+------------------+------------------------------------------------------+
| Field            | Value                                                |
+------------------+------------------------------------------------------+
| checksum         | 180f96ebd77d949d3ce784b0de52201f                     |
| container_format | ovf                                                  |
| created_at       | 2019-05-20T20:30:56Z                                 |
| disk_format      | qcow2                                                |
| file             | /v2/images/23d2421f-43ab-4307-8e99-aaaaabc67d02/file |
| id               | 23d2421f-43ab-4307-8e99-aaaaabc67d02                 |
| min_disk         | 0                                                    |
| min_ram          | 0                                                    |
| name             | debian-9.8-stretch                                   |
| owner            | admin                                                |
| protected        | False                                                |
| schema           | /v2/schemas/image                                    |
| size             | 2228944896                                           |
| status           | active                                               |
| tags             |                                                      |
| updated_at       | 2019-05-20T20:31:03Z                                 |
| virtual_size     | None                                                 |
| visibility       | public                                               |
+------------------+------------------------------------------------------+

The other images didn't have the corresponding filesystem object.

Andrew closed this task as Resolved.Wed, Sep 11, 3:26 PM
Andrew claimed this task.

We're using prod images in codf1dev now.